ru.bitel.bgbilling.kernel.event

## Class QueueEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    AccountCreatedEvent, AccountDeleteEvent, AccountUpdateEvent, BillCreatedEvent, CardActivateRequestEvent, CardGetRequestEvent, ChargeEvent, ClientItemChangedEvent, ContractAddObjectEvent, ContractDeleteObjectEvent, ContractLimitUserLow, ContractNpayChangedEvent, ContractObjectParameterUpdateEvent, ContractParamChangedEvent, ContractPasswordChangedEvent, ContractServicesChangedEvent, ContractStatusChangedEvent, ContractTariffDeleteEvent, ContractTariffUpdateEvent, ContractUpdateObjectEvent, DebetStatusManageAfterOpen, DisconnectByBalanceOverEvent, DocumentGeneratedEvent, FindFirstAccountingEvent, GetLibrariesInfoEvent, GetLibraryEvent, InetAccountingManageEvent, InetCanCalculateEvent, InetConnectionCommandEvent, InetConnectionDeviceStateAndOptionsModifyEvent, InetDetailCreateEvent, InetRecalculateBaseEvent, InetServDeviceStateAndOptionsModifyEvent, InvoiceCreatedEvent, LimitChangedEvent, LocalEvent, LoginUpdateEvent, OmTvAccountModifyEvent, OmTvAccountOptionsModifyEvent, OmTvAccountProductPeriodModify, OmTvAccountServicesModify, OmTvAccountStateModifyEvent, OmTvProductsModifyEvent, PartitionedQueueEvent, PaymentDeletedEvent, PaymentEvent, PersonalTariffDeleteEvent, PersonalTariffTreeUpdateEvent, PersonalTariffUpdateEvent, PoolQueueEvent, ProblemOrCallChangedEvent, ProcessingContinueEvent, ProcessingSuspendEvent, RequestLogGetEvent, RequestLogInfoEvent, ReserveCloseEvent, ReserveEvent, RSCMContractServiceUpdateEvent, SberbankAutopaymentEvent, SberbankCheckEvent, ScriptSavingEvent, ServerStartEvent, ServiceUpdateEvent, SubscriptionActivateEvent, SubscriptionChangedEvent, SubscriptionRegistrationPeriodEndEvent, SubscriptionUpdateEvent, TariffOptionActivatedEvent, TariffOptionDeactivatedEvent, TariffOptionDeactivateEvent, TarrificationContinueEvent, TarrificationSuspendEvent, TimerEvent, TvAccountDeviceStateAndOptionsModifyEvent, TvProductDeviceStateModifyEvent, TvProductsDeviceStateModifyEvent, UserCardUpdateEvent

      public abstract class QueueEvent
      extends Event

  В отличие от `Event` доставляется только одному слушателю
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueueEvent()`
    `` | `QueueEvent(int moduleId, int contractId, int userId)`
    `` | `QueueEvent(int moduleId, int pluginId, int contractId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueEvent

          protected QueueEvent()

    - #### QueueEvent

          public QueueEvent(int moduleId,
                            int pluginId,
                            int contractId,
                            int userId)

    - #### QueueEvent

          public QueueEvent(int moduleId,
                            int contractId,
                            int userId)